Androidstudio 新GradlePlugin和Gradle Version对应关系

公众号python2048 2021/2/18 13:41:14

Project Gradle AS建议升级到4.2。 Plugin对应AS的版本,Plugin工具也要和Gradle对应上,否则某些语法不支持,如果是非必要的建议不要轻易升级。 Gradle DSL method not found: exclude() Gradle DSL method not found: run() Gradle DSL method not found: module() Gra…

Project Gradle

AS建议升级到4.2。
Plugin对应AS的版本,Plugin工具也要和Gradle对应上,否则某些语法不支持,如果是非必要的建议不要轻易升级。

Gradle DSL method not found: 'exclude()'
Gradle DSL method not found: 'run()'
Gradle DSL method not found: 'module()'
Gradle DSL method not found: 'shrinkResources()'	
Gradle DSL method not found: 'xxxxx()'	

新Gradle DSL

androidstudio 构建系统基于Gradle,Android Gradle插件添加了几个特定于构建Android应用程序的功能。虽然Android插件通常与androidstudio同步更新,但是插件(以及Gradle系统的其余部分)可以独立于androidstudio运行,并且可以单独更新。

正在更新Android Gradle plugin(AGP)的版本号,以便更紧密地匹配底层Gradle构建工具。

下一个版本 : AGP7.0将是AGP4.2之后的下一个版本。

gradleplug对应的版本
目前最新版本是:V4.1.0
引入:classpath 'com.android.tools.build:gradle:4.1.0'

2021年最新Gradle版本支持

这个版本的Android Gradle插件包含以下新特性。

Kotlin脚本DSL支持
为了帮助改善Kotlin buildscript用户的编辑体验,Android Gradle plugin 4.1的DSL和api现在被定义在一组Kotlin接口中,与它们的实现类分开。这意味着:
空性和可变性现在在Kotlin类型上显式声明。
从这些接口生成的文档发布在kotlinapi参考中。
Android Gradle插件的API界面被明确定义,以使扩展Android构建在未来变得不那么脆弱。

配置文件

可以在androidstudio的File>Project Structure>Project菜单中指定Gradle版本,也可以通过编辑Gradle/wrapper/Gradle中的Gradle分布引用来指定Gradle版本-包装器.属性文件。下面的示例将Gradle中的Gradle版本设置为 6.1.1-包装器. 属性文件。

distributionUrl=https\://services.gradle.org/distributions/gradle-6.1.1-全部.zip

快捷变更

不需要手动去 .gradle 中配置,可以点开 Project Structure...

在这里插入图片描述

作者:奥特曼超人Dujinyang

版权声明:本文为博主杜锦阳原创文章,转载请附上博文链接!

随时随地学软件编程-关注百度小程序和微信小程序
关于找一找教程网

本站文章仅代表作者观点,不代表本站立场,所有文章非营利性免费分享。
本站提供了软件编程、网站开发技术、服务器运维、人工智能等等IT技术文章,希望广大程序员努力学习,让我们用科技改变世界。
[Androidstudio 新GradlePlugin和Gradle Version对应关系]http://www.zyiz.net/tech/detail-151902.html

上一篇:Android 12 有哪些新功能?开发人员测试版本即将发布

下一篇:成为 Android App Bundle 专家 | MAD Skills

赞(0)

共有 条评论 网友评论

验证码: 看不清楚?
    关注微信小程序
    程序员编程王-随时随地学编程

    扫描二维码或查找【程序员编程王】

    可以随时随地学编程啦!

    技术文章导航 更多>
    扫一扫关注最新编程教程